---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Scan customers whose nextStepDueAt is past due… Reference for the POST
    /workspaces/{organizationId}/customers/follow-ups/notify-due endpoint in the
    Pile API.
sidebar:
  label: Create customer follow up notify due
  badge: POST
title: Create customer follow up notify due
type: openapi-operation
---
Scan customers whose nextStepDueAt is past due (terminal stages excluded) and emit a follow_up_due notification to the customer owner — once per (customer, due date).

`POST /workspaces/{organizationId}/customers/follow-ups/notify-due`

**Request body** (`application/json`)

- `now` (string<date-time>)

Request body example:

```json
{
  "now": "2019-08-24T14:15:22Z"
}
```

**Responses**

- `200` — Due-follow-up scan result

Response example, 200:

```json
{
  "scanned": 0,
  "notified": 0,
  "notifications": [
    {
      "customerId": "string",
      "customerName": "string",
      "recipientId": "string",
      "type": "string",
      "title": "string",
      "body": "string",
      "nextStepDueAt": "string"
    }
  ]
}
```
